Package com.smartgwt.client.ai

# Class FixDashboardComponentDataQuestionStep

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.FixDashboardComponentDataQuestionStep

All Implemented Interfaces:
  `HasHandlers`

public class FixDashboardComponentDataQuestionStep extends DataClass

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixDashboardComponentDataQuestionStep()`
  `FixDashboardComponentDataQuestionStep(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CreateDashboardComponentDataQuestionStep`
  `getCreateDashboardComponentStep()`
  `static FixDashboardComponentDataQuestionStep`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `ValidateDashboardComponentDataQuestionStepResult[]`
  `getPrevValidateDashboardComponentStepResults()`
  Copies of previous `ValidateDashboardComponentDataQuestionStepResult` objects, with the `step.createDashboardComponentStepResult.step` cleared, as this shared object is found at `createDashboardComponentStep`.
  `DataQuestionStepType`
  `getType()`
  The value FIX_DASHBOARD_COMPONENT.
  `FixDashboardComponentDataQuestionStep`
  `setCreateDashboardComponentStep(CreateDashboardComponentDataQuestionStep createDashboardComponentStep)`
  `FixDashboardComponentDataQuestionStep`
  `setPrevValidateDashboardComponentStepResults(ValidateDashboardComponentDataQuestionStepResult... prevValidateDashboardComponentStepResults)`
  Copies of previous `ValidateDashboardComponentDataQuestionStepResult` objects, with the `step.createDashboardComponentStepResult.step` cleared, as this shared object is found at `createDashboardComponentStep`.
  `FixDashboardComponentDataQuestionStep`
  `setType(DataQuestionStepType type)`
  The value FIX_DASHBOARD_COMPONENT.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FixDashboardComponentDataQuestionStep

    public FixDashboardComponentDataQuestionStep()

  - ### FixDashboardComponentDataQuestionStep

    public FixDashboardComponentDataQuestionStep(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static FixDashboardComponentDataQuestionStep getOrCreateRef(JavaScriptObject jsObj)

  - ### setCreateDashboardComponentStep

    public FixDashboardComponentDataQuestionStep setCreateDashboardComponentStep(CreateDashboardComponentDataQuestionStep createDashboardComponentStep)
    Parameters:
      `createDashboardComponentStep` - New createDashboardComponentStep value. Default value is *initialized by the implementation*
    Returns:
      `FixDashboardComponentDataQuestionStep` instance, for chaining setter calls

  - ### getCreateDashboardComponentStep

    public CreateDashboardComponentDataQuestionStep getCreateDashboardComponentStep()
    Returns:
      Current createDashboardComponentStep value. Default value is *initialized by the implementation*

  - ### setPrevValidateDashboardComponentStepResults

    public FixDashboardComponentDataQuestionStep setPrevValidateDashboardComponentStepResults(ValidateDashboardComponentDataQuestionStepResult... prevValidateDashboardComponentStepResults)
    Copies of previous `ValidateDashboardComponentDataQuestionStepResult` objects, with the `step.createDashboardComponentStepResult.step` cleared, as this shared object is found at `createDashboardComponentStep`.
    Parameters:
      `prevValidateDashboardComponentStepResults` - New prevValidateDashboardComponentStepResults value. Default value is *initialized by the implementation*
    Returns:
      `FixDashboardComponentDataQuestionStep` instance, for chaining setter calls

  - ### getPrevValidateDashboardComponentStepResults

    public ValidateDashboardComponentDataQuestionStepResult[] getPrevValidateDashboardComponentStepResults()
    Copies of previous `ValidateDashboardComponentDataQuestionStepResult` objects, with the `step.createDashboardComponentStepResult.step` cleared, as this shared object is found at `createDashboardComponentStep`.
    Returns:
      Current prevValidateDashboardComponentStepResults value. Default value is *initialized by the implementation*

  - ### setType

    public FixDashboardComponentDataQuestionStep setType(DataQuestionStepType type)
    The value FIX_DASHBOARD_COMPONENT.
    Parameters:
      `type` - New type value. Default value is null
    Returns:
      `FixDashboardComponentDataQuestionStep` instance, for chaining setter calls

  - ### getType

    public DataQuestionStepType getType()
    The value FIX_DASHBOARD_COMPONENT.
    Returns:
      Current type value. Default value is null